Subject: Re: Re-add ibft tree to linux-next please

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 17 Jan 2012 09:37:46 -0800

On 01/17/2012 08:49 AM, Konrad Rzeszutek Wilk wrote:
>>
>> Are there really hardware/firmware configurations that support IBFT
>> and do not support ACPI?
> 
> gPXE can be used in legacy environments. And it (gPXE) does not update
> the ACPI tables.
> 

That's irrelevant.  THe point is that iBFT *is* an ACPI table.

> I think that would work. And also if 'acpi_disabled=0' as you might
> have an IBFT table in memory that is _not_ hooked up to the ACPI tables.

That is *always* the case, the "finder" is nonstandard (because the ACPI
tables are largely non-extensible, says the one who has tried to
actually extend ACPI tables in memory.)

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.